# @meta author: alexis_renard
# @meta author_linkedin: https://fr.linkedin.com/in/renardalexis
# @meta author_website: https://renardalexis.com
# @meta name: Set up Ubuntu
# @meta description: Setting up a fresh new Ubuntu (18.04) machine
# @meta license: MIT
# @meta license_url: https://tldrlegal.com/license/mit-license

---
- hosts: vms
  become: true
  tasks:
    - name: "Import role to create a new environment on a fresh Ubuntu 18.04 AMD64 machine"
      import_role:
        name: set-up-new-ubuntu
        vars_from: default.yml # The default role variable file
      vars:
        # Overwriting the default role variables
        user_name: alexis
        copy_local_key: true
        install_sys_packages: true
        additional_sys_packages: ['traceroute']
        install_graphic_interface_packages: true
        additional_graphic_interface_packages: []
        install_user_experience_packages: true
        additional_user_experience_packages: []
        install_oh_my_zsh: false
    - name: "Importe role to install docker to the new Machine."
      import_role:
        name: set-up-docker
      vars:
        user_name: alexis
